<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<?php
	$sticky_class = '';
	if ( get_theme_mod( 'header_sticky' ) ) {
		$sticky_class = 'sticky';
	}
?>
<div id="page">
	<header class="header <?php echo esc_attr( $sticky_class ); ?>">
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<div class="head-wrap">
						<div class="logo-wrap">
							<h1 class="site-logo">
								<?php if ( function_exists( 'the_custom_logo' ) ) {
									the_custom_logo();
								} ?>

								<?php if ( get_theme_mod( 'logo_site_title', 1 ) ): ?>
									<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="site-logo-textual">
										<?php bloginfo( 'name' ); ?>
									</a>
								<?php endif; ?>
							</h1>

							<?php if ( get_bloginfo( 'description' ) && get_theme_mod( 'logo_tagline', 1 ) ): ?>
								<p class="site-tagline"><?php bloginfo( 'description' ); ?></p>
							<?php endif; ?>
						</div>

						<nav class="nav">
							<?php wp_nav_menu( array(
								'theme_location' => 'main_menu',
								'container'      => '',
								'menu_id'        => '',
								'menu_class'     => 'navigation'
							) ); ?>
							<a href="#mobilemenu" class="mobile-trigger"><i class="fa fa-navicon"></i> <?php esc_html_e( 'Menu', 'potenza' ); ?></a>
						</nav>
						<!-- #nav -->

						<div id="mobilemenu"></div>
					</div>
				</div>
			</div>
		</div>
	</header>

	<?php
		$main_class = '';
		if ( is_page_template( 'template-frontpage.php' ) ) {
			$main_class = 'main-home';
		}
	?>

	<main class="main <?php echo esc_attr( $main_class ); ?>">