<?php
	add_action( 'admin_init', 'potenza_cpt_page_add_metaboxes' );
	add_action( 'save_post', 'potenza_cpt_page_update_meta' );

	function potenza_cpt_page_add_metaboxes() {
		add_meta_box( 'potenza-tpl-builder-meta', esc_html__( 'Page Builder template Options', 'potenza' ), 'potenza_add_page_builder_meta_box', 'page', 'normal', 'high' );
	}

	function potenza_cpt_page_update_meta( $post_id ) {

		if ( ! potenza_can_save_meta( 'page' ) ) {
			return;
		}

		update_post_meta( $post_id, 'potenza_builder_header', potenza_sanitize_checkbox_ref( $_POST['potenza_builder_header'] ) );
		update_post_meta( $post_id, 'potenza_builder_footer', potenza_sanitize_checkbox_ref( $_POST['potenza_builder_footer'] ) );
	}

function potenza_add_page_builder_meta_box( $object, $box ) {
	potenza_prepare_metabox( 'page' );

	?><div class="ci-cf-wrap"><?php
		potenza_metabox_open_tab( '' );
			potenza_metabox_checkbox( 'potenza_builder_header', 1, esc_html__( 'Show header.', 'potenza' ), array( 'default' => 1 ) );
			potenza_metabox_checkbox( 'potenza_builder_footer', 1, esc_html__( 'Show footer.', 'potenza' ), array( 'default' => 1 ) );
		potenza_metabox_close_tab();
	?></div><?php

	potenza_bind_metabox_to_page_template( 'potenza-tpl-builder-meta', 'template-builder.php', 'potenza_tpl_builder_metabox' );
}
