<?php
	add_action( 'show_user_profile', 'potenza_show_extra_profile_fields' );
	add_action( 'edit_user_profile', 'potenza_show_extra_profile_fields' );

	if ( ! function_exists( 'potenza_show_extra_profile_fields' ) ):
		function potenza_show_extra_profile_fields( $user ) {

			$networks = potenza_get_social_networks();
			?>
			<h3><?php esc_html_e( 'Author social networks', 'potenza' ); ?></h3>

			<table class="form-table">
				<?php foreach ( $networks as $network ) : ?>
					<tr>
						<th><label for="user_<?php echo esc_attr( $network['name'] ); ?>"><?php echo esc_html( $network['label'] ); ?></label></th>

						<td>
							<input type="text" name="user_<?php echo esc_attr( $network['name'] ); ?>" id="user_<?php echo esc_attr( $network['name'] ); ?>"
							       value="<?php echo esc_attr( get_the_author_meta( 'user_' . $network['name'], $user->ID ) ); ?>"
							       class="regular-text"/><br/>
							<span class="description"><?php sprintf( esc_html__( 'Your %s profile URL', 'potenza' ), $network['label'] ); ?></span>
						</td>
					</tr>
				<?php endforeach; ?>
			</table>
			<?php
		}
	endif;

	add_action( 'personal_options_update', 'potenza_save_extra_profile_fields' );
	add_action( 'edit_user_profile_update', 'potenza_save_extra_profile_fields' );

	if ( ! function_exists( 'potenza_save_extra_profile_fields' ) ):
		function potenza_save_extra_profile_fields( $user_id ) {
			if ( ! current_user_can( 'edit_user', $user_id ) ) {
				return false;
			}

			$networks = potenza_get_social_networks();

			foreach ( $networks as $network ) {
				update_user_meta( $user_id, 'user_' . $network['name'], esc_url_raw( $_POST[ 'user_' . $network['name'] ] ) );
			}
		}
	endif;
