<?php get_header(); ?>

<div class="container">
	<div class="row">
		<div class="col-xs-12">
			<div class="row">
				<?php
					$cols_class = 'col-md-8 col col-sm-7';
					if ( get_theme_mod( 'layout_blog', 'sidebar' ) == 'fullwidth' ) {
						$cols_class = 'col-xs-12';
					}
				?>
				<div class="<?php echo esc_attr( $cols_class ); ?>">
					<?php while ( have_posts() ): the_post(); ?>
						<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>
							<div class="row">
								
								<?php if ( has_post_thumbnail() ): ?>
								<div class="col-sm-4">									
									<figure class="entry-thumb">
										<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'potenza_square' ); ?></a>
									</figure>
								</div>
								<?php endif; ?>
								
								<?php if ( has_post_thumbnail() ): ?>
	  							<div class="col-sm-8">
  							<?php else: ?>
    							<div class="col-sm-12">
  							<?php endif; ?>	
									<?php if ( 'post' == get_post_type() ): ?>
										<div class="entry-meta">
											<time class="entry-time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>">
												<i class="fa fa-clock-o"></i> <?php echo esc_html( get_the_date() ); ?>
											</time>
											<span class="entry-categories"><i class="fa fa-tags"></i> <?php the_category( ', ' ); ?></span>
											<span class="entry-comments"><i class="fa-comment fa"></i> <a href="<?php echo esc_url( get_comments_link() ); ?>"><?php comments_number(); ?></a></span>
										</div>
									<?php endif; ?>

									<h2 class="entry-title">
										<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
									</h2>

									<div class="entry-content">
										<?php the_excerpt(); ?>

										<a href="<?php the_permalink(); ?>" class="entry-more btn"><?php esc_html_e( 'read more', 'potenza' ); ?></a>
									</div>
								</div>
							</div>
						</article>
					<?php endwhile; ?>

					<?php potenza_pagination(); ?>
				</div>

				<?php if ( get_theme_mod( 'layout_blog', 'sidebar' ) == 'sidebar' ): ?>
					<div class="col-md-3 col-md-offset-1 col-sm-4 col-sm-offset-1">
						<?php get_sidebar(); ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>

<?php get_footer(); ?>