<?php get_header(); ?>

<div class="container">
	<div class="row">
		<div class="col-xs-12">
			<div class="row">
				<?php
					$cols_class = 'col-md-9 col-sm-8';
					if ( get_theme_mod( 'layout_blog', 'sidebar' ) == 'fullwidth' ) {
						$cols_class = 'col-xs-12';
					}
				?>
				<div class="<?php echo esc_attr( $cols_class ); ?>">
					<?php
						global $wp_query;

						$found = $wp_query->found_posts;
						$none  = esc_html__( 'No results found. Please broaden your terms and search again.', 'potenza' );
						$one   = esc_html__( 'Just one result found. We either nailed it, or you might want to broaden your terms and search again.', 'potenza' );
						$many  = esc_html( sprintf( _n( '%d result found.', '%d results found.', $found, 'potenza' ), $found ) );
					?>
					<article class="entry">
						<div class="entry-content">
							<p><?php potenza_e_inflect( $found, $none, $one, $many ); ?></p>
							<?php if ( $found < 2 ) {
								get_search_form();
							} ?>
						</div>
					</article>

					<?php while ( have_posts() ): the_post(); ?>
						<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>
							<div class="row">
								<div class="col-sm-4">
									<?php if ( has_post_thumbnail() ): ?>
										<figure class="entry-thumb">
											<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'potenza_square' ); ?></a>
										</figure>
									<?php endif; ?>
								</div>

								<div class="col-sm-8">
									<?php if ( 'post' == get_post_type() ): ?>
										<div class="entry-meta">
											<time class="entry-time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>">
												<i class="fa fa-clock-o"></i> <?php echo esc_html( get_the_date() ); ?>
											</time>
											<span class="entry-categories"><i class="fa fa-tags"></i> <?php the_category( ', ' ); ?></span>
											<span class="entry-comments"><i class="fa-comment fa"></i> <a href="<?php echo esc_url( get_comments_link() ); ?>"><?php comments_number(); ?></a></span>
										</div>
									<?php endif; ?>

									<h1 class="entry-title">
										<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
									</h1>

									<div class="entry-content">
										<?php the_excerpt(); ?>

										<a href="<?php the_permalink(); ?>" class="entry-more btn"><?php esc_html_e( 'read more', 'potenza' ); ?></a>
									</div>
								</div>
							</div>
						</article>
					<?php endwhile; ?>

					<?php potenza_pagination(); ?>
				</div>

				<?php if ( get_theme_mod( 'layout_blog', 'sidebar' ) == 'sidebar' ): ?>
					<div class="col-md-3 col-sm-4">
						<?php get_sidebar(); ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>

<?php get_footer(); ?>