<?php get_header(); ?>

<div class="container">
	<div class="row">
		<div class="col-xs-12">
			<div class="row">
				<?php
					$cols_class = 'col-md-8 col-sm-7';
					if ( get_theme_mod( 'layout_blog', 'sidebar' ) == 'fullwidth' ) {
						$cols_class = 'col-xs-12';
					}
				?>
				<div class="<?php echo esc_attr( $cols_class ); ?>">
					<?php while ( have_posts() ): the_post(); ?>
						<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>
							<?php if ( has_post_thumbnail() ): ?>
								<figure class="entry-thumb">
									<a class="ci-lightbox" href="<?php echo esc_url( potenza_get_image_src( get_post_thumbnail_id(), 'large' ) ); ?>"><?php the_post_thumbnail(); ?></a>
								</figure>
							<?php endif; ?>

							<div class="entry-meta">
								<?php if ( get_theme_mod( 'single_date', 1 ) ): ?>
									<time class="entry-time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>">
										<i class="fa fa-clock-o"></i> <?php echo esc_html( get_the_date() ); ?>
									</time>
								<?php endif; ?>

								<?php if ( get_theme_mod( 'single_categories', 1 ) ): ?>
									<span class="entry-categories"><i class="fa fa-tags"></i> <?php the_category( ', ' ); ?></span>
								<?php endif; ?>

								<?php if ( get_theme_mod( 'single_comments', 1 ) ): ?>
									<span class="entry-comments"><i class="fa-comment fa"></i> <a href="<?php echo esc_url( get_comments_link() ); ?>"><?php comments_number(); ?></a></span>
								<?php endif; ?>
							</div>

							<h1 class="entry-title"><?php the_title(); ?></h1>

							<div class="entry-content">
								<?php the_content(); ?>
								<?php wp_link_pages(); ?>
							</div>
						</article>

						<?php if ( get_theme_mod( 'single_authorbox', 1 ) ) {
							get_template_part( 'part', 'authorbox' );
						} ?>

						<?php if ( get_theme_mod( 'single_related', 1 ) ) {
							get_template_part( 'part-related' );
						} ?>
					<?php endwhile; ?>

					<?php if ( get_theme_mod( 'single_comments', 1 ) ) {
						comments_template();
					} ?>
				</div>

				<?php if ( get_theme_mod( 'layout_blog', 'sidebar' ) == 'sidebar' ): ?>
					<div class="col-md-3 col-md-offset-1 col-sm-4 col-sm-offset-1">
						<?php get_sidebar(); ?>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>

<?php get_footer(); ?>